namespace SmartCDC.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class AlterUser_addNameMobile : DbMigration
    {
        public override void Up()
        {
            AddColumn("dbo.Registration", "RegistrationType", c => c.String(maxLength: 20));
            AddColumn("dbo.Registration", "FullName", c => c.String(maxLength: 200));
            AddColumn("dbo.Registration", "Mobile", c => c.String(maxLength: 20));
            AddColumn("dbo.Registration", "Address", c => c.String(maxLength: 500));
            AddColumn("dbo.Registration", "RegistrationDate", c => c.DateTime(nullable: false));
        }
        
        public override void Down()
        {
            DropColumn("dbo.Registration", "RegistrationDate");
            DropColumn("dbo.Registration", "Address");
            DropColumn("dbo.Registration", "Mobile");
            DropColumn("dbo.Registration", "FullName");
            DropColumn("dbo.Registration", "RegistrationType");
        }
    }
}
